    001/*
    002 * Copyright (c) 2007-2017 Xplenty, Inc. All Rights Reserved.
    003 *
    004 * Project and contact information: http://www.cascading.org/
    005 *
    006 * This file is part of the Cascading project.
    007 *
    008 * Licensed under the Apache License, Version 2.0 (the "License");
    009 * you may not use this file except in compliance with the License.
    010 * You may obtain a copy of the License at
    011 *
    012 *     http://www.apache.org/licenses/LICENSE-2.0
    013 *
    014 * Unless required by applicable law or agreed to in writing, software
    015 * distributed under the License is distributed on an "AS IS" BASIS,
    016 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    017 * See the License for the specific language governing permissions and
    018 * limitations under the License.
    019 */
    020
    021package cascading;
    022
    023/** Class CascadingException is the base class of all Cascading exceptions. */
    024public class CascadingException extends RuntimeException
    025  {
    026  /** Constructor CascadingException creates a new CascadingException instance. */
    027  public CascadingException()
    028    {
    029    }
    030
    031  /**
    032   * Constructor CascadingException creates a new CascadingException instance.
    033   *
    034   * @param string of type String
    035   */
    036  public CascadingException( String string )
    037    {
    038    super( string );
    039    }
    040
    041  /**
    042   * Constructor CascadingException creates a new CascadingException instance.
    043   *
    044   * @param string    of type String
    045   * @param throwable of type Throwable
    046   */
    047  public CascadingException( String string, Throwable throwable )
    048    {
    049    super( string, throwable );
    050    }
    051
    052  /**
    053   * Constructor CascadingException creates a new CascadingException instance.
    054   *
    055   * @param throwable of type Throwable
    056   */
    057  public CascadingException( Throwable throwable )
    058    {
    059    super( throwable );
    060    }
    061  }